package org.jvisu.panel.configurator.events;

import java.beans.*;

/** Interface for JVisu alignment constants.
 *
 *  <p>$Id: JVEditEventListener.java 212 2003-11-21 16:56:48Z tgl $
 *  </p>
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 *  <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation. See file LICENCE in this
 *  directory</p>
 *  
 *  <p>Change Log:</p>
 *  <ul>
 *  <li> 1.0 Initial inmplimentation </li>
 *  </ul>
 *  <p>
 *  <p>Interface for edit event listeners
 *  </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0 
*/
public interface JVEditEventListener {
    
    /** Edit event is fired
     * @param evt the edit event
     */
    public abstract void editEventFired(JVEditEvent e);
    
}
